System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.ComponentModel.TypeConverter(typeof(System.Data.RelationshipConverter)) System.ComponentModel.DefaultProperty("RelationName") System.ComponentModel.Editor("Microsoft.VSDesigner.Data.Design.DataRelationEditor, Microsoft.VSDesigner, Version=8.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", "System.Drawing.Design.UITypeEditor, System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a")

A is used to relate two objects to each other through objects. For example, in a Customer/Orders relationship, the Customers table is the parent and the Orders table is the child of the relationship. This is similar to a primary key/foreign key relationship. For more information, see Navigating a Relationship between Tables.

Relationships are created between matching columns in the parent and child tables. That is, the value for both columns must be identical.

Relationships can also cascade various changes from the parent to its child rows. To control how values are changed in child rows, add a to the of the object. The determines what action to take when a value in a parent table is deleted or updated.

When a is created, it first verifies that the relationship can be established. After it is added to the , the relationship is maintained by disallowing any changes that would invalidate it. Between the period when a is created and added to the , it is possible for additional changes to be made to the parent or child rows. An exception is generated if this causes a relationship that is no longer valid.

Data corruption can occur if a bi-directional relation is defined between two tables. A bi-directional relation consists of two DataRelation objects that use the same columns, with the parent-child roles switched. No exception is raised when the DataRelation objects are saved; however, data corruption can occur.

objects are contained in a , which you can access through the property of the , and the and properties of the .

Represents a parent/child relationship between two objects.

- Constructor
  To be added

  Initializes a new instance of the class using the specified name, and parent and child objects.

  The name of the . If null or an empty string (""), a default name will be given when the created object is added to the .
  The parent in the relationship.
  The child in the relationship.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class using the specified name and matched arrays of parent and child objects.

  The name of the relation. If null or an empty string (""), a default name will be given when the created object is added to the .
  An array of parent objects.
  An array of child objects.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class using the specified name, parent and child objects, and a value that indicates whether to create constraints.

  The name of the relation. If null or an empty string (""), a default name will be given when the created object is added to the .
  The parent in the relation.
  The child in the relation.
  A value that indicates whether constraints are created. true, if constraints are created. Otherwise, false.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class using the specified name, matched arrays of parent and child objects, and value that indicates whether to create constraints.

  The name of the relation. If null or an empty string (""), a default name will be given when the created object is added to the .
  An array of parent objects.
  An array of child objects.
  A value that indicates whether to create constraints. true, if constraints are created. Otherwise, false.
  1.0.5000.0
  2.0.0.0
- Constructor

  Any object created by using this constructor must be added to the collection with the method inside of a and block. If this constructor is not called between and a will occur. In addition, the tables and columns with the specified names must exist at the time the constructor is called.

  This constructor is provided for design time support in the Visual Studio environment.

  The name of the relation. If null or an empty string (""), a default name will be given when the created object is added to the .
  The name of the that is the parent table of the relation.
  The name of the that is the child table of the relation.
  An array of object names in the parent of the relation.
  An array of object names in the child of the relation.
  A value that indicates whether relationships are nested.
  1.0.5000.0
  2.0.0.0
  System.ComponentModel.Browsable(false)
- Constructor
  2.0.0.0
  System.ComponentModel.Browsable(false)
  To be added.
  To be added.

  Any object created by using this constructor must then be added to the collection with . Tables and columns with the specified names must exist at the time the method is called, or if has been called before calling this constructor, the tables and columns with the specified names must exist at the time that is called.

  This constructor is provided for design time support in the Visual Studio environment.

  The name of the . If null or an empty string (""), a default name will be given when the created object is added to the .
  The name of the that is the parent table of the relation.
  The name of the that is the child table of the relation.
  An array of object names in the parent of the relation.
  An array of object names in the child of the relation.
  A value that indicates whether relationships are nested.
- Method
  System.Void To be added

  This method supports the .NET Framework infrastructure and is not intended to be used directly from your code.

  1.0.5000.0
  2.0.0.0
- Property
  System.Data.DataColumn[] To be added: an object of type 'DataColumn []' To be added

  Gets the child objects of this relation.

  1.0.5000.0
  2.0.0.0
- Property
  System.Data.ForeignKeyConstraint To be added: an object of type 'ForeignKeyConstraint'

  If no associated exists for this relationship, it will be created automatically, and pointed to by the ChildKeyConstraint, when the relation is added to the collection of relations.

  Gets the for the relation.

  1.0.5000.0
  2.0.0.0
- Property
  System.Data.DataTable To be added: an object of type 'DataTable' To be added

  Gets the child table of this relation.

  1.0.5000.0
  2.0.0.0
- Property
  System.Data.DataSet To be added: an object of type 'DataSet'

  The associated with a is accessed through the property of the object.

  Gets the to which the belongs.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.ComponentModel.Browsable(false)
- Property
  System.Data.PropertyCollection To be added: an object of type 'PropertyCollection'

  Use to add custom information to a object. Add information with the Add method. Retrieve information with the Item method.

  Extended properties must be of type . Properties that are not of type String are not persisted when the is written as XML.

  Gets the collection that stores customized properties.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.Browsable(false)
- Property
  System.Boolean To be added: an object of type 'bool'

  You can use objects to define hierarchical relationships, such as those specified in XML. For more information, see Nested DataRelations.

  If the of the child table in the relation matches the of a column in the parent table in the relation, the property must be false. This was not required with the .NET Framework version 1.0.

  Gets or sets a value that indicates whether objects are nested.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.DefaultValue(false)
- Method
  1.0.5000.0
  2.0.0.0
  System.Void `` To be added.

  This member supports the .NET Framework infrastructure and is not intended to be used directly from your code.

  Parameter reference.
- Property
  System.Data.DataColumn[] To be added: an object of type 'DataColumn []' To be added

  Gets an array of objects that are the parent columns of this .

  1.0.5000.0
  2.0.0.0
- Property
  System.Data.UniqueConstraint To be added: an object of type 'UniqueConstraint' To be added

  Gets the that guarantees that values in the parent column of a are unique.

  1.0.5000.0
  2.0.0.0
- Property
  System.Data.DataTable To be added: an object of type 'DataTable' To be added

  Gets the parent of this .

  1.0.5000.0
  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Void `` To be added.

  This member supports the .NET Framework infrastructure and is not intended to be used directly from your code.

  Parameter reference.
- Property
  System.String To be added: an object of type 'string'

  Use the property to retrieve a from the .

  Gets or sets the name used to retrieve a from the .

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.DefaultValue("")
- Method
  System.String To be added

  Gets the , if one exists.

  The value of the property.

  1.0.5000.0
  2.0.0.0